Draft WireToBSpline: Difference between revisions

From FreeCAD Documentation
(Links, and use the {{Button}} template)
(The tool is not active if no object is selected)
Line 23: Line 23:
# Select a [[Draft Wire]] or a [[Draft BSpline]].
# Select a [[Draft Wire]] or a [[Draft BSpline]].
# Press the {{Button|[[Image:Draft WireToBSpline.svg|16px]] [[Draft WireToBSpline]]}} button.
# Press the {{Button|[[Image:Draft WireToBSpline.svg|16px]] [[Draft WireToBSpline]]}} button.

The tool is not active if no object is selected.


==Options== <!--T:6-->
==Options== <!--T:6-->

Revision as of 01:39, 14 November 2018

Draft WireToBSpline

Menu location
Drafting → Wire to BSpline
Workbenches
Draft, Arch
Default shortcut
None
Introduced in version
-
See also
Draft Wire, Draft BSpline

Description

This tool converts Draft Wires to Draft BSplines, and vice-versa.

How to use

  1. Select a Draft Wire or a Draft BSpline.
  2. Press the Draft WireToBSpline button.

The tool is not active if no object is selected.

Options

  • The original object will not be deleted after the operation, you must delete it manually if you wish so.

Scripting

Not available, but creating a new object with the points from another one is easy, for example:

  • If the active object is a wire:
import FreeCAD,Draft
points = FreeCAD.ActiveDocument.ActiveObject.Points
Draft.makeBSpline(points)
  • if the active object is a bspline
import FreeCAD,Draft
points = FreeCAD.ActiveDocument.ActiveObject.Points
Draft.makeWire(points)